# vim: termencoding=koi8-r
# vim: encoding=utf-8
%define	version	0.1.2
Release: alt1

%setup_python_module aperiot

Summary: A grammar description language and a parser generator for Python
Name: %packagename
Version: %version
Source: http://moncs.cs.mcgill.ca/people/eposse/projects/%modulename/%modulename-%version.tar.gz
License: BSD
Group: Development/Python
Prefix: %_prefix
Url: http://moncs.cs.mcgill.ca/people/eposse/projects/aperiot
Packager: Fr. Br. George <george@altlinux.ru>
Buildarch: noarch

%description
Aperiot is a grammar description language and a parser generator for Python. Its purpose is to provide the means to describe a language's grammar and automatically generate a Python parser to recognize and process text written in that language. It is intended to be used mainly for programming and modelling languages.

``Aperio'' is a Latin word meaning ``to uncover,'' ``to unearth.'' A parser is, after all, a tool that uncovers the structure of text.

This module is built for python %__python_version

%prep
%setup -q -n %modulename-%version
#%patch

%build
# record
python setup.py build

%install
python setup.py install --root=%buildroot

%files
%doc doc/*
%doc AUTHORS CHANGES INSTALL PKG-INFO README UNINSTALL
%dir %python_sitelibdir/aperiot
%python_sitelibdir/aperiot/*
%dir %python_sitelibdir/posse_tools
%python_sitelibdir/posse_tools/*
%_bindir/*

%changelog
* Sun Jun 08 2008 Fr. Br. George <george@altlinux.ru> 0.1.2-alt1
Initial build from scratch

